"BoxCox.FitAR" <-
function(object, interval=c(-1,1), type="BoxCox", InitLambda="none", ...){
if (InitLambda=="none")
    initLQ <- FALSE
else
    initLQ <- TRUE
xcall<-deparse(object$call,width.cutoff=500)
#replace z = ? with z=y
ycall<-sub("z = .*, p", "z=y, p", xcall, perl=TRUE)
ycall<-sub("p =", "pvec = ",sub("FitAR","GetFitAR",ycall))
#get data
if (object$FitMethod == "LS")
    test<-gsub("FitARLS(z =","",xcall,fixed=TRUE)
else
    test<-gsub("FitAR(z =","",xcall,fixed=TRUE)
data<-gsub(",.*)","",test)
data<-eval(parse(text=data))
if (initLQ)
    data<-bxcx(data, InitLambda, type=type, InverseQ=TRUE)
if (min(data) <= 0){
    cat(" minimum data value <= 0 so -min+0.25 added to all values", fill=TRUE)
    data<- data + 0.25 - min(data)
    }
#now get Jacobian
J <- sum(log(data))
#definite loglikelihood function
LogL<-function(lam){
    y<-bxcx(data,lam)
    y<-y-mean(y)
    out<-eval(parse(text=ycall))
    (out$loglikelihood) + (lam-1)*J
    }
#optimize
ans<-optimize(LogL,interval=interval,maximum=TRUE)
lamHat<-ans$maximum
LLlamHat<-ans$objective
#determine right and left ends for plotting RL
RL<-1
rightLam<-lamHat
while (RL>0.01){
    rightLam<-rightLam+0.1
    RL<-exp(LogL(rightLam)-LLlamHat)
    }
RL<-1
leftLam<-lamHat
while (RL>0.01){
    leftLam<-leftLam-0.1
    RL<-exp(LogL(leftLam)-LLlamHat)
    }
lams<-seq(leftLam,rightLam,length=21)
LL<-numeric(length(lams))
for (i in 1:length(lams)){
    LL[i]<-exp(LogL(lams[i])-LLlamHat)
    }
ans<-spline(lams,LL)
dataTI<-attr(data,"title")
plot(ans$x, ans$y, type="l", xlab=expression(lambda), ylab=expression("R("*lambda*")"), main="Relative Likelihood Analysis\n95% Confidence Interval",
sub=dataTI)
abline(h=0.1465, col="blue", lwd=2)
text((lamHat+rightLam)/1.85,0.8,bquote(hat(lambda)==.(round(lamHat,3))))
}

