"GetFitARLS" <-
function(z, pvec){
stopifnot(length(z)>0, length(z)>max(pvec), length(pvec)>0)
PMAX<-max(pvec)
PEFF<-length(pvec)
n<-length(z)-PMAX
ind<-(PMAX+1):length(z)
y<-z[ind]
X<-matrix(rep(0,n*PEFF), nrow=n, ncol=PEFF)
for (i in 1:PEFF)
    X[,i] <- z[ind-pvec[i]]
ans<-lsfit(X,y)
res<-ans$residuals
estimates<-lsfit(X,y)$coefficients
betaHat<-as.vector(estimates[-1])
constantTerm<-as.vector(estimates[1])
phiHat<-numeric(PMAX)
phiHat[pvec]<-betaHat
Iq<-InvertibleQ(phiHat)
if (Iq){
    zm<-constantTerm/sum(phiHat)
    LL<-LoglikelihoodAR(phiHat,z, MeanValue=mean(z))
    }
else
    LL<- -1e30
list(loglikelihood=LL, phiHat=phiHat, constantTerm=constantTerm,res=res,lags=pvec, yX=cbind(y,X),InvertibleQ=Iq)
}

