"TimeSeriesPlot" <-
function(z, SubLength=200, aspect=0.25, type="l", ylab=NULL, main=NULL, ...){
n<-length(z)
nblocks<-ceiling(n/SubLength)
ti <- main
if (is.null(ti))
    ti <- attr(z, "title")
if (nblocks ==1){
xyplot(z~(1:n) , aspect=aspect, type=type, ylab=ylab, xlab="Observation Number",  
       main=ti, ...)
}
else {
    y<-x<-numeric(0)
    u<-1:n
    if (n>SubLength){
        LastBlockz<-z[(n-SubLength+1):n]
        LastBlockx<-u[(n-SubLength+1):n]
        for (i in 1:(nblocks-1)) {
            ii<-seq((i-1)*SubLength+1,SubLength*i)
            y<-c(y,z[ii])
            x<-c(x,u[ii])
            }
        y<-c(y,LastBlockz)
        x<-c(x,LastBlockx)
    }
    epoch<-ordered(rep(1:nblocks,rep(SubLength,nblocks)))
    xyplot(y~x | epoch, aspect=aspect, type=type, ylab=ylab, xlab="Observation Number",  
       scales=list(x="sliced",y="same"),strip=FALSE,main=ti, ...)
    }
}

