\name{AR1Est}
\alias{AR1Est}
\title{ Exact MLE AR(1) known mean }
\description{
This function is used by GetFitAR in the AR(1) case. Fast exact solution using
the root of a cubic equation.
}
\usage{
AR1Est(z, MeanValue = 0)
}
\arguments{
  \item{z}{ time series or vector }
  \item{MeanValue}{ known mean }
}
\details{
The exact MLE for AR(1) satisfies a cubic equation.  The solution of this
equation for the MLE is given by Ying (2002) is used.  This approach
is more reliable as well as faster than the usual approach to the
exact MLE using a numerical optimization technique which can occassionally
have convergence problems.
}
\value{
MLE for the parameter
}

\references{
Zhang, Y. (2002). 
Topics in Autoregression,
Ph.D. Thesis, University of Western Ontario.
}

\author{ A.I. McLeod and Ying Zhang }

\seealso{ \code{\link{GetFitAR}} }

\examples{
AR1Est(lynx)
}

\keyword{ ts }
