\name{PacfPlot}
\alias{PacfPlot}
\title{ Plot partial autocorrelations and limits }
\description{
The partial autocorrelations and their 95% confidence intervals are plots
under the assmption the model is contained in an AR(L), where L is a specified
upper limit.
}
\usage{
PacfPlot(z, lag.max = 15, ...)
}
\arguments{
  \item{z}{ time series }
  \item{lag.max}{ maximum lag }
  \item{\dots}{ optional parameters passed through to plot. }
}
\details{
The Burg algorithm is used to estimate the PACF.
 
}
\value{
None
}
\references{ 
McLeod, A.I. and Zhang, Y. (2006).  
Partial autocorrelation parameterization for subset autoregression.  
Journal of Time Series Analysis, 27, 599-612.
}
\author{ A.I. McLeod }

\seealso{ 
\code{\link{ar.burg}}
\code{\link{pacf}}
 }
\examples{
#For the log(lynx) series and taking lag.max=15, the PacfPlot and
# the minimum BIC subset selection produce the same result.
z<-log(lynx)
PacfPlot(z)
SelectModel(z,lag.max=15,SubsetModel="z",Best=1,method="BIC")	
}
\keyword{ ts }
