\name{PacfToAR}
\alias{PacfToAR}
\title{Transform from PACF parameters to AR }
\description{
Based on the Durbin-Levinson recursion.
}
\usage{
PacfToAR(pi)
}
\arguments{
  \item{pi}{ AR coefficients }
}
\details{
see Mcleod and Zhang (2006)
}
\value{
vector of AR coefficients
}
\references{ McLeod and Zhang (2006) }
\author{ A.I. McLeod }

\seealso{ 
\code{\link{InvertibleQ}}, 
\code{\link{PacfToAR}}
}
\examples{
somePACF<-c(0.5,0.6,0.7,0.8,-0.9,-0.8)
someAR<-PacfToAR(somePACF)
test<-ARToPacf(someAR)
#this should be very small
sum(abs(test-somePACF))
}
\keyword{ts }
