\name{TacvfMA}
\alias{TacvfMA}
\title{ Theoretical Autocovariances for Moving Average Process }
\description{

}
\usage{
TacvfMA(theta, lag.max = 20)
}
\arguments{
  \item{theta}{ q parameters in MA(q)}
  \item{lag.max}{ number of lags required. }
}
\details{
The first q+1 values are determined using a matrix multiplication -
avoiding a for loop. The remaining values set to zero.
}
\value{
vector of length q+1 containing the autocovariances at lags 0,1,...,maxlag
}
\references{ McLeod and Ying (2006) }

\author{ A.I.McLeod }
\note{See Details in \code{\link{TacvfAR}} for why we prefer
to use this algorithm instead of \code{\link{ARMAacf}}  }

\seealso{ 
\code{\link{ARMAacf}}, 
\code{\link{TacvfAR}} 
}
\examples{
TacvfMA(c(1.8,,-0.9),10)
}
\keyword{ ts }
