\name{coef.FitAR}
\alias{coef.FitAR}
\title{ Display estimated parameters from output of FitAR }
\description{
Methods function to display fitted parameters, their standard
errors and Z-ratio for AR models fit with FitAR and FitARLS.
}
\usage{
\method{coef}{FitAR}(object, ...)
}
\arguments{
  \item{object}{ \code{obj} the output from \code{FitAR} or \code{FitARLS} }
  \item{...}{optional parameters}
}
\value{
A matrix is returned. The columns of the matrix are labelled
MLE, sd and Z-ratio.  The rows labels indicate the AR coefficients
which were estimated followed by mu, the mean.
}
\references{ 
McLeod, A.I. and Zhang, Y. (2006).  
Partial autocorrelation parameterization for subset autoregression.  
Journal of Time Series Analysis, 27, 599-612.
}
\author{ A.I. McLeod }

\examples{
# Fit subset AR to SeriesA
 data(SeriesA) 
 outA<-FitAR(SeriesA, c(1,2,7))
 coef(outA)
#
 outALS<-FitARLS(SeriesA, c(1,2,7))
 coef(outALS)

  }
}
\keyword{ ts }
