\name{sdfplot.FitAR}
\alias{sdfplot.FitAR}
\title{ Autoregressive spectral density estimation }
\description{
Methods function for sdfplot. Autoregressive spectral density function
estimation using the result output FitAR.
}
\usage{
\method{sdfplot}{FitAR}(obj, ...)
}
\arguments{
  \item{obj}{ object, class"FitAR" }
  \item{\dots}{optional arguments }
}
\value{
plot produced as side-effect. No output.
}
\author{A.I. McLeod }

\seealso{ 
\code{\link{sdfplot}},
\code{\link{FitAR}},
\code{\link{FitARLS}}
 
}

\examples{
#Use AIC to select best subset model to fit to lynx data and
#plot spectral density function
data(SeriesA)
pvec<-SelectModel(SeriesA, SubsetModel="p", lag.max=10, Best=1)
ans<-FitAR(SeriesA, pvec)
sdfplot(ans)
}
\keyword{ ts }

